package electrosphere.game.data.particle;

/**
 * Data on how a particle should behave
 */
public class ParticleData {
    

    /**
     * The name of the particle type
     */
    String name;
    
    /**
     * The maximum life of the particle
     */
    Integer maxLife;
    
    
    /**
     * The life the particle starts with
     */
    Integer lifeCurrent;


    /**
     * The initial velocity of the particle
     */
    Float velocity;

    /**
     * The acceleration of the particle
     */
    Float acceleration;

    /**
     * The texture of the particle
     */
    String texture;

    /**
     * The size of the particle
     */
    Float size;

    /**
     * Gets the max life of the particle
     * @return The max life
     */
    public Integer getMaxLife(){
        return maxLife;
    }

    /**
     * Gets the starting life of the particle
     * @return The starting life
     */
    public Integer getLifeCurrent(){
        return lifeCurrent;
    }

    /**
     * Gets the starting velocity of the particle
     * @return The starting velocity
     */
    public Float getVelocity(){
        return velocity;
    }

    /**
     * Gets the acceleration of the particle
     * @return The acceleration
     */
    public Float getAcceleration(){
        return acceleration;
    }

    /**
     * Gets the texture of the particle
     * @return The texture
     */
    public String getTexture(){
        return texture;
    }

    /**
     * Gets the name of the particle type
     * @return The name of the particle type
     */
    public String getName(){
        return name;
    }

    /**
     * Gets the size of the particle
     * @return The size of the particle
     */
    public Float getSize(){
        return size;
    }

}
